Loading...

Catalyst ConvoKraft

Catalyst ConvoKraft is an AI-powered service that allows you to build intelligent chatbots and deploy them in your Catalyst applications. These bots leverage Natural Language Understanding (NLU) to interpret messages and respond naturally in conversational English. You can customize the bot by setting up your own logic, providing simple question-answer pairs, or training it with custom resources, based on your application’s requirements.

SmartTrain is a component of the Catalyst ConvoKraft service that allows you to train your chatbot using your own resources. You can do this by configuring web URLs where the resources are hosted. This enables the bot to quickly provide accurate answers to user queries related to the trained content.

You can refer to this help documentation to learn more about the Catalyst ConvoKraft service.

Enable or Disable SmartTrain

This API enables or disables SmartTrain in the Catalyst ConvoKraft service. When enabled, you can add training materials to enhance the bot’s responses. Disabling it temporarily pauses the bot’s trained knowledge, preventing it from answering queries based on the training data. Once re-enabled, the training is automatically restored, allowing the bot to respond using the previously uploaded materials.

You can introduce this functionality in your Catalyst application using the API below.

Request Details

Request URL

PATCH

{api-domain}/convokraft/api/v1/bots/{botid}? type=DEVELOPED

copy

api-domain
URL
The DC-specific domain to access Catalyst API

project_id
Numerical
The unique ID of the project in which the bot has been created

botid
Numerical
The unique ID of the ConvoKraft bot

Note:

  1. The query parameter type=DEVELOPED is used to indicate that the bot is in the developed state within the ConvoKraft service.

  2. You can fetch the botid directly from the URL in the ConvoKraft service when the environment is set to Development in the console.

For example : https://console.catalyst.zoho.com/baas/v1/project/183272829220/Development#/convokraft/bots/3828281991118
Here, 3828281991118 is the botid.

Scope

ZIAPlatform.Convokraft.RAG.UPDATE

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
CATALYST-ORG: {org_id}
X-CATALYST-projectid: {project id}
X-CATALYST-Environment: Development

Note: The request header CATALYST-Environment: Development indicates that the API operation should be performed on the bot within the Catalyst Development environment.

Request JSON Properties

is_rag_enabled boolean
mandatory

Pass the value as true to enable the RAG feature and false to disable it.
Default: true.

Response Details

The response will return the status of the SmartTrain enable or disable operation, along with a status message and status code.

Sample Request
copy

curl -X PATCH
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/convokraft/api/v1/bots/92738220219110?type=DEVELOPED
-H ‘Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57’
-H ‘Content-Type: application/json’
-H ‘CATALYST-ORG: 372822922’
-H ‘X-CATALYST-projectid: 2728172727718’
-H ‘X-CATALYST-Environment: “Development”’
--data ‘{ “bots”: { “is_rag_enabled”: true } }’

Sample Response
copy
{
"status": "SUCCESS",
"code": "SUCCESS",
"message": "Updated Successfully."
}